From owner-man-jp-reviewer@jp.freebsd.org  Wed Sep  1 01:41:46 1999
Received: (from daemon@localhost)
	by castle.jp.freebsd.org (8.9.3+3.2W/8.7.3) id BAA92162;
	Wed, 1 Sep 1999 01:41:46 +0900 (JST)
	(envelope-from owner-man-jp-reviewer@jp.FreeBSD.org)
Received: from mail.yk.rim.or.jp (root@mail.yk.rim.or.jp [202.247.130.37])
	by castle.jp.freebsd.org (8.9.3+3.2W/8.7.3) with ESMTP id BAA92157
	for <man-jp-reviewer@jp.freebsd.org>; Wed, 1 Sep 1999 01:41:45 +0900 (JST)
	(envelope-from k-horik@yk.rim.or.jp)
Received: from localhost (ppp933.yk.rim.or.jp [202.247.185.184])
	by mail.yk.rim.or.jp (8.8.8/3.6W-RIMNET-98-06-09) with ESMTP id BAA07191
	for <man-jp-reviewer@jp.freebsd.org>; Wed, 1 Sep 1999 01:41:38 +0900 (JST)
To: man-jp-reviewer@jp.freebsd.org
X-Mailer: Mew version 1.93 on Emacs 19.34 / Mule 2.3 (SUETSUMUHANA)
Mime-Version: 1.0
Content-Type: Text/Plain; charset=iso-2022-jp
Content-Transfer-Encoding: 7bit
Message-Id: <19990901014115K.k-horik@yk.rim.or.jp>
Date: Wed, 01 Sep 1999 01:41:15 +0900
From: Kazuo Horikawa <k-horik@yk.rim.or.jp>
X-Dispatcher: imput version 980905(IM100)
Lines: 1255
Reply-To: man-jp-reviewer@jp.freebsd.org
Precedence: list
X-Distribute: distribute version 2.1 (Alpha) patchlevel 24e+990727
X-Sequence: man-jp-reviewer 1541
Subject: [man-jp-reviewer 1541] diff to 3.2-19990831-STABLE
Errors-To: owner-man-jp-reviewer@jp.freebsd.org
Sender: owner-man-jp-reviewer@jp.freebsd.org
X-Originator: k-horik@yk.rim.or.jp

 $BKY@n$G$9!#(B

 3.2-19990831-STABLE $B$X$N:9J,$G$9!#(B
 o $Id$ -> $Header$ $B$N:9J,$O(B man-jp-reviewer $B08$G$O=|$$$F$$$^$9$,!"(B
   $B$/$j$d$^$5$s08$N$b$N$K$O4^$a$F$$$^$9!#(B
 o enigma.1 -> crypt.1 $B$N%j%s%/$rD%$jK:$l$F$$$?$N$G!"4^$a$^$7$?!#(B

$BOBJ8:9J,(B

diff -ur man/man1/Makefile man/man1/Makefile
--- man/man1/Makefile	Sun May  9 10:34:19 1999
+++ man/man1/Makefile	Tue Aug 31 23:14:26 1999
@@ -410,5 +410,6 @@
 MLINKS+= ktrace.1 trace.1
 MLINKS+= uuencode.1 uudecode.1
 MLINKS+= ncal.1 cal.1
+MLINKS+=enigma.1 crypt.1
 
 .include "bsd.prog.mk"
diff -ur man/man1/sh.1 man/man1/sh.1
--- man/man1/sh.1	Sun Jun 20 21:44:36 1999
+++ man/man1/sh.1	Wed Sep  1 00:19:47 1999
@@ -33,7 +33,7 @@
 .\" SUCH DAMAGE.
 .\"
 .\"	from: @(#)sh.1	8.6 (Berkeley) 5/4/95
-.\"	%Id: sh.1,v 1.23.2.2 1999/04/19 18:54:06 max Exp %
+.\" %FreeBSD: src/bin/sh/sh.1,v 1.23.2.4 1999/08/30 10:20:14 sheldonh Exp %
 .\"
 .\" jpman %Id: sh.1,v 1.2 1997/05/31 16:40:31 jsakai Stab %
 .\"	Japanese Translation amended by Norihiro Kumagai, 3/29/96,
@@ -136,7 +136,7 @@
 .Ss $B0z?t%j%9%H=hM}(B
 .Nm
 $B$N(B 1 $BJ8;z$+$i$J$k%*%W%7%g%s$O$=$l$>$lBP1~$9$kL>A0$r;}$C$F$*$j!"(B
-.Xr set 1
+.Dq set
 $BAH$_9~$_%3%^%s%I(B ($B8e=R(B) $B$N0z?t$H$7$FMQ$$$k$3$H$,$G$-$^$9!#(B
 $B$3$l$i$NL>A0$O!"0J2<$N@bL@$G(B 1 $BJ8;z%*%W%7%g%s$N$9$0$"$H$K=q$$$F$"$j$^$9!#(B
 $B%^%$%J%95-9f(B
@@ -202,13 +202,12 @@
 $B$rFI$_9~$_$^$9!#0lJ}!"4D6-JQ?t(B
 .Ev ENV
 $B$NFbMF$OL5;k$5$l$^$9!#(B
-
 .It Fl s Li stdin
 $B%3%^%s%I$rI8=`F~NO$+$iFI$_9~$_$^$9(B ($B0z?t$G%U%!%$%kL>$,;XDj$5$l$F$$$J$$(B
 $B>l9g$K$O!"$3$N%*%W%7%g%s$,<+F0E*$K@_Dj$5$l$^$9(B)$B!#(B
-$B%7%'%k$,<B9T$5$l$F$+$iK\%*%W%7%g%s$r(B(
-.Xr set 1
-$B$J$I$K$h$C$F(B)$B@_Dj$7$F$b8z2L$O$"$j$^$;$s!#(B
+$B%7%'%k$,<B9T$5$l$F$+$iK\%*%W%7%g%s$r(B (
+.Dq set
+$B$J$I$K$h$C$F(B) $B@_Dj$7$F$b8z2L$O$"$j$^$;$s!#(B
 .It Fl T Li asynctraps
 $B;R$rBT$D$H$-!"B(:B$K%H%i%C%W$r<B9T$7$^$9!#(B
 $BK\%*%W%7%g%s$,@_Dj$5$l$F$$$J$$$H!"(B
@@ -292,13 +291,17 @@
 .Ss $B%(%$%j%"%9(B
 $B%(%$%j%"%9$O!"L>A0$H$=$l$HBP1~$9$kCM$,BP$K$J$C$?$b$N$G!"(B
 $BAH$_9~$_%3%^%s%I(B
-.Xr alias 1
+.Dq alias
 $B$K$h$C$FDj5A$5$l$^$9!#(B
 $B%7%'%k$O!"M=Ls8l$,8=$l$k2DG=@-$,$"$k>l=j(B ($B>e5-$r;2>H(B) $B$G!"(B
 $B$"$kC18l$KBP$7$F!"$=$l$,M=Ls8l$+$I$&$+$N8!::$r:Q$^$;$?$N$A!"(B
 $B$=$l$,%(%$%j%"%9$K0lCW$9$k$+$I$&$+$r8!::$7$^$9!#(B
 $B$b$70lCW$7$?$J$i$P!"F~NO9T$NCf$G!"$=$NC18l$r%(%$%j%"%9$NCM$KCV$-49$($^$9!#(B
-$B$?$H$($P!"(B``lf'' $B$H$$$&L>A0$G(B ``ls -F'' $B$H$$$&CM$r;}$D%(%$%j%"%9$,(B
+$B$?$H$($P!"(B
+.Dq lf
+$B$H$$$&L>A0$G(B
+.Dq ls -F
+$B$H$$$&CM$r;}$D%(%$%j%"%9$,(B
 $BB8:_$7$?$H$9$k$H!"<!$NF~NO9T(B
 .Bd -literal -offset indent
 lf foobar <return>
@@ -325,16 +328,22 @@
 $BC1=c%3%^%s%I$r2r<a$9$k>l9g!"%7%'%k$O0J2<$N$h$&$JF0:n$r$7$^$9!#(B
 .Bl -enum
 .It
-$BC18l$NA0$K$"$k(B ``name=value'' $B$N7A<0$NC18l$r<h$j=|$-!"(B
+$BC18l$NA0$K$"$k(B
+.Dq name=value
+$B$N7A<0$NC18l$r<h$j=|$-!"(B
 $BC1=c%3%^%s%I$N4D6-$KBeF~$7$^$9!#(B
 $B%j%@%$%l%/%H1i;;;R$H$=$N0z?t(B ($B8e=R(B) $B$r<h$j=|$-!"(B
 $B$"$H$G=hM}$G$-$k$h$&$KJ]B8$7$^$9!#(B
 .It
-$B;D$C$?C18l$r!"!VE83+!W$N@a$G@bL@$9$kJ}K!$GE83+$7$^$9!#(B
+$B;D$C$?C18l$r!"(B
+.Sx $BC18lE83+(B
+$B$N@a$G@bL@$9$kJ}K!$GE83+$7$^$9!#(B
 $BE83+8e$N:G=i$NC18l$r%3%^%s%IL>$H$_$J$7!"%3%^%s%I$N0LCV$rC5:w$7$^$9!#(B
 $B;D$j$NC18l$O%3%^%s%I$X$N0z?t$H$_$J$5$l$^$9!#(B
 $B=hM}$N7k2L!"%3%^%s%IL>$,;D$i$J$+$C$?>l9g!"<j=g(B 1) $B$G(B
-$B<h$j=P$7$?(B ``name=value'' $B$NJQ?tBeF~$r!"8=:_$N%7%'%k$N4D6-$KH?1G$7$^$9!#(B
+$B<h$j=P$7$?(B
+.Dq name=value
+$B$NJQ?tBeF~$r!"8=:_$N%7%'%k$N4D6-$KH?1G$7$^$9!#(B
 .It
 $B<!@a$G@bL@$9$kJ}K!$G!"%j%@%$%l%/%H$r9T$J$$$^$9!#(B
 .El
@@ -368,7 +377,9 @@
 $BI8=`=PNO(B ($B$^$?$O%U%!%$%k5-=R;R(B n) $B$r%/%m!<%:$7$^$9!#(B
 .El
 .Pp
-$B0J2<$N%j%@%$%l%/%H$O!"$7$P$7$P(B``$B%R%"!&%I%-%e%a%s%H(B(here-document)''$B$H(B
+$B0J2<$N%j%@%$%l%/%H$O!"$7$P$7$P(B
+.Dq $B%R%"!&%I%-%e%a%s%H(B (here-document)
+$B$H(B
 $B8F$P$l$^$9!#(B
 .Bd -literal -offset indent
 [n]<< delimiter
@@ -379,8 +390,14 @@
 $B%7%'%k$O!"(Bdelimiter $B$^$G$N9T$rJ]B8$7!"%3%^%s%I$X$NI8=`F~NO$^$?$O%U%!%$(B
 $B%k5-=R;R(B n $B$K%j%@%$%l%/%H$7$^$9!#:G=i$N9T$N(B delimiter $B$,0zMQ(B ($B%/%)!<%H(B)
 $B$5$l$F$$$?>l9g!"(Bhere-doc-text $B$NFbMF$r%j%F%i%k$H$7$F07$$$^$9!#(B
-$B$=$&$G$J$$>l9g!"%Q%i%a!<%?E83+!"%3%^%s%ICV49!"?tCM1i;;(B ($B!VE83+!W$N@a$G(B
-$B@bL@$7$^$9(B) $B$rE,MQ$7$^$9!#1i;;;R$,(B (``<<'' $B$G$J$/(B) ``<<-'' $B$N>l9g$O!"(B
+$B$=$&$G$J$$>l9g!"%Q%i%a!<%?E83+!"%3%^%s%ICV49!"?tCM1i;;(B (
+.Sx $BC18lE83+(B
+$B$N@a$G(B
+$B@bL@$7$^$9(B) $B$rE,MQ$7$^$9!#1i;;;R$,(B (
+.Dq <<
+$B$G$J$/(B)
+.Dq <<-
+$B$N>l9g$O!"(B
 here-doc-text $B$N3F9T$N9TF,$N%?%V$r<h$j=|$-$^$9!#(B
 .Ss $B%3%^%s%I8!:w$H<B9T(B
 $B%3%^%s%I$K$O!"%7%'%k4X?t!"AH$_9~$_%3%^%s%I!"DL>o%W%m%0%i%`$N(B 3 $B<oN`$,$"$j!"(B
@@ -389,7 +406,9 @@
 .Pp
 $B%7%'%k4X?t$r<B9T$9$k$H$-!"(B$0 $B$r=|$/$9$Y$F$N0LCV%Q%i%a!<%?(B ($1, $2,..) 
 $B$r%7%'%k4X?t$X$N0z?t$H$7$F@_Dj$7$^$9!#(B$0 $B$OJQ99$5$l$^$;$s!#%7%'%k4X?t(B
-$B$N4D6-$H$7$F;XDj$5$l$?JQ?t(B ($B4X?tL>$ND>A0$K(B ``name=value'' $B$rCV$$$F;XDj(B
+$B$N4D6-$H$7$F;XDj$5$l$?JQ?t(B ($B4X?tL>$ND>A0$K(B
+.Dq name=value
+$B$rCV$$$F;XDj(B
 $B$5$l$?$b$N(B) $B$O!"$=$N4X?t$K6I=jE*$JJQ?t$H$J$j!";XDj$5$l$?=i4|CM$,@_Dj$5(B
 $B$l$^$9!#$=$7$F!"%7%'%k$O4X?tDj5A$GM?$($i$l$?%3%^%s%I$r<B9T$7$^$9!#%3%^(B
 $B%s%I$N<B9T$,40N;$9$k$H!"0LCV%Q%i%a!<%?$r85$NCM$KLa$7$^$9!#$3$l$OA4$F8=(B
@@ -403,8 +422,12 @@
 $B4D6-$r%W%m%0%i%`$KEO$7$F!"$=$N%W%m%0%i%`$r<B9T$7$^$9!#(B
 $B%W%m%0%i%`$,DL>o$N<B9T%U%!%$%k7A<0$G$O$J$$>l9g(B ($B$D$^$j!"(B
 .Tn ASCII
-$BI=8=$G(B "#!" $B$H$J$k!V%^%8%C%/%J%s%P!W$G%U%!%$%k$,;O$^$C$F$*$i$:!"(B
-.Fn execve 2
+$BI=8=$G(B
+.Qq #!
+$B$H$J$k(B
+.Qq $B%^%8%C%/%J%s%P(B
+$B$G%U%!%$%k$,;O$^$C$F$*$i$:!"(B
+.Fn execve
 $B$,(B
 .Er ENOEXEC
 $B$rJV$9>l9g(B)$B!"(B
@@ -414,7 +437,9 @@
 $B0LCV>pJs$r21$($F$*$j!"$3$l$O:F=i4|2=$5$l$^$;$s!#(B
 .Pp
 $BK\%I%-%e%a%s%H$N8E$$%P!<%8%g%s$d8E$$%=!<%9%3!<%I$G$O!"$H$-$*$j!"(B
-$B%^%8%C%/%J%s%P$N$J$$%7%'%k%9%/%j%W%H$N$3$H$r!V%7%'%k<jB3$-!W$H8F$s$G$$$F!"(B
+$B%^%8%C%/%J%s%P$N$J$$%7%'%k%9%/%j%W%H$N$3$H$r(B
+.Qq $B%7%'%k<jB3$-(B
+$B$H8F$s$G$$$F!"(B
 $B$^$.$i$o$7$$>l9g$,$"$j$^$9$N$GCm0U$7$F2<$5$$!#(B
 .Ss $B%Q%98!:w(B
 $B%3%^%s%I$r8!:w$9$k$H$-!"%7%'%k$O!"$^$:!"$=$NL>A0$N%7%'%k4X?t$,$"$k$+$I$&$+$r(B
@@ -430,7 +455,9 @@
 $B$K4^$^$l$k3F%(%s%H%j$KBP$7$F!"=g$K$=$N%3%^%s%I$r8!:w$7$^$9!#(B
 $BJQ?t(B
 .Ev PATH
-$B$NCM$O%3%m%s(B (``:'') $B$G6h@Z$i$l$?%(%s%H%j$NNs$G$J$1$l$P$J$j$^$;$s!#(B
+$B$NCM$O%3%m%s(B
+.Dq :
+$B$G6h@Z$i$l$?%(%s%H%j$NNs$G$J$1$l$P$J$j$^$;$s!#(B
 $B3F%(%s%H%j$O!"$=$l$>$l%G%#%l%/%H%jL>0l$D$KBP1~$7$^$9!#(B
 $B%+%l%s%H%G%#%l%/%H%j$O!"(B
 $B6u$N%G%#%l%/%H%jL>$r;XDj$9$k$3$H$G0EL[E*$K!"(B
@@ -532,10 +559,21 @@
 $B%7%'%k$O$=$N%3%^%s%I$r5/F0$7$?$"$H!"$9$0$K<!$N%3%^%s%I$N=hM}$r3+;O$7$^$9!#(B
 $B$=$NB>$N>l9g!"$=$N%3%^%s%I$N=*N;$rBT$C$F$+$i<!$N%3%^%s%I$N=hM}$r3+;O$7$^$9!#(B
 .Ss $BC;Mm%j%9%H1i;;;R(B (Short-Circuit List Operators)
-``&&'' $B$H(B ``||'' $B$O(B AND-OR $B%j%9%H1i;;;R$G$9!#(B ``&&'' $B$O:G=i$N%3%^%s%I(B
+.Dq &&
+$B$H(B
+.Dq ||
+$B$O(B AND-OR $B%j%9%H1i;;;R$G$9!#(B
+.Dq &&
+$B$O:G=i$N%3%^%s%I(B
 $B$r<B9T$7!"$b$7:G=i$N%3%^%s%I$N=*N;%9%F!<%?%9$,(B 0 $B$J$i$P<!$N%3%^%s%I$r(B
-$B<B9T$7$^$9!#(B ``||'' $B$bF1MM$G$9$,!":G=i$N%3%^%s%I$N=*N;%9%F!<%?%9$,(B 0 
-$B$G$J$$>l9g$K!"<!$N%3%^%s%I$r<B9T$7$^$9!#(B ``&&'' $B$H(B ``||'' $B$NM%@h=g0L$O(B
+$B<B9T$7$^$9!#(B
+.Dq ||
+$B$bF1MM$G$9$,!":G=i$N%3%^%s%I$N=*N;%9%F!<%?%9$,(B 0 
+$B$G$J$$>l9g$K!"<!$N%3%^%s%I$r<B9T$7$^$9!#(B
+.Dq &&
+$B$H(B
+.Dq ||
+$B$NM%@h=g0L$O(B
 $BF1$8$G$9!#(B
 .Ss $B@)8f9=B$(B -- if, while, for, case
 if $B%3%^%s%I$NJ8K!$O0J2<$N$H$*$j$G$9!#(B
@@ -569,7 +607,11 @@
 .Ed
 .Pp
 $B3F(B word $B$OE83+$5$l!"JQ?t(B variable $B$K(B word $B$r=g$K@_Dj$7$J$,$i%j%9%H$r(B
-$B7+$jJV$7<B9T$7$^$9!#(Bdo $B$H(B done $B$O(B ``{'' $B$H(B ``}'' $B$GCV$-49$($k$3$H$,$G$-$^$9!#(B
+$B7+$jJV$7<B9T$7$^$9!#(Bdo $B$H(B done $B$O(B
+.Dq {
+$B$H(B
+.Dq }
+$B$GCV$-49$($k$3$H$,$G$-$^$9!#(B
 .Pp
 break $B$H(B continue $B%3%^%s%I$NJ8K!$O0J2<$N$H$*$j$G$9!#(B
 .Bd -literal -offset indent
@@ -594,7 +636,9 @@
 .Ed
 .Pp
 pattern $B$O!"(B1 $B$D$"$k$$$OJ#?t$N%Q%?!<%s(B ($B8e=R$N!V%7%'%k%Q%?!<%s!W$r;2>H(B
-$B$N$3$H(B) $B$r(B ``|'' $B$G@\B3$7$?$b$N$G$9!#(B
+$B$N$3$H(B) $B$r(B
+.Dq |
+$B$G@\B3$7$?$b$N$G$9!#(B
 .Ss $BJ#?t$N%3%^%s%I$N%0%k!<%W2=(B
 $B%3%^%s%I$O!"0J2<$N$$$:$l$+$NJ}K!$K$h$j%0%k!<%W2=$9$k$3$H$,$G$-$^$9!#(B
 .Bd -literal -offset indent
@@ -623,7 +667,11 @@
 .Pp
 $B4X?tDj5A$O<B9T2DG=J8$N0l<o$G$9!#<B9T$5$l$k$H!"L>A0(B name $B$N4X?t(B
 $B$,Dj5A$5$l!"=*N;%9%F!<%?%9$H$7$F(B 0 $B$rJV$7$^$9!#(Bcommand $B$O(B
-$BDL>o!"(B``{'' $B$H(B ``}'' $B$G0O$^$l$?%j%9%H$G$9!#(B
+$BDL>o!"(B
+.Dq {
+$B$H(B
+.Dq }
+$B$G0O$^$l$?%j%9%H$G$9!#(B
 .Pp
 local $B%3%^%s%I$rMQ$$$F4X?t$K6I=jE*$JJQ?t$r@k8@$9$k$3$H$,$G$-$^$9!#(B
 $B$3$l$O4X?tDj5ACf$N:G=i$NJ8$G9T$o$J$1$l$P$J$j$^$;$s!#9=J8$O<!$N$H$*$j$G$9!#(B
@@ -640,7 +688,11 @@
 $B4X?t(B g $B$r8F$S=P$7$?>l9g!"4X?t(B g $BFbIt$G$NJQ?t(B x $B$KBP$9$kA`:n$OBg0hJQ?t(B x 
 $B$G$O$J$/!"4X?t(B f $B$G@k8@$5$l$?JQ?t(B x $B$X$NA`:n$H$J$j$^$9!#(B
 .Pp
-$BFC<l%Q%i%a!<%?$N$&$A6I=j@k8@$G$-$k$N$O(B ``-'' $B$@$1$G$9!#(B ``-'' $B$r(B
+$BFC<l%Q%i%a!<%?$N$&$A6I=j@k8@$G$-$k$N$O(B
+.Dq -
+$B$@$1$G$9!#(B
+.Dq -
+$B$r(B
 $B6I=j@k8@$9$k$H!"4X?tFb$G(B set $B%3%^%s%I$rMQ$$$F%7%'%k%*%W%7%g%s$r(B
 $BJQ99$7$F$b!"4X?t$,=*N;$9$k$H$=$l$i$N%*%W%7%g%s$O85$NCM$KLa$j$^$9!#(B
 .Pp
@@ -667,7 +719,7 @@
 $B0LCV%Q%i%a!<%?$O!"?t;z(B (n > 0) $B$K$h$C$F;2>H$5$l$k%Q%i%a!<%?$G$9!#%7%'%k$O(B
 $B0LCV%Q%i%a!<%?$N=i4|CM$H$7$F%7%'%k%9%/%j%W%HL>$KB3$/0z?t$r@_Dj$7$^$9!#(B
 $BAH$_9~$_%3%^%s%I(B
-.Xr set 1
+.Dq set
 $B$K$h$j:F@_Dj$d>C5n$,$G$-$^$9!#(B
 .Ss $BFC<l%Q%i%a!<%?(B
 $BFC<l%Q%i%a!<%?$O!"0J2<$K5s$2$kFC<lJ8;z$N$$$:$l$+$K$h$j;2>H$5$l$k(B
@@ -682,7 +734,13 @@
 $B$5$l$k>l9g!"3F0LCV%Q%i%a!<%?$OJL!9$N0z?t$H$J$j$^$9!#(B
 $B$b$7!"0LCV%Q%i%a!<%?$,@_Dj$5$l$F$$$J$$>l9g$K$O!"(B
 @ $B$NE83+7k2L$O(B 0 $B8D$N0z?t$H$J$j$^$9(B ($B%@%V%k%/%)!<%H0zMQ$NFbIt$G$"$C$F$b(B)$B!#(B
-$B$9$J$o$A!"(B$1 $B$,(B ``abc''$B!"(B$2 $B$,(B ``def ghi'' $B$G$"$C$?>l9g!"(B"$@" $B$O(B
+$B$9$J$o$A!"(B$1 $B$,(B
+.Dq abc
+$B!"(B$2 $B$,(B
+.Dq def ghi
+$B$G$"$C$?>l9g!"(B
+.Qq $@
+$B$O(B
 $B<!$N(B 2 $B$D$N0z?t$KE83+$5$l$^$9!#(B
 .Bd -literal -offset indent
 "abc"   "def ghi"
@@ -833,7 +891,9 @@
 $(command)
 .Ed
 .Pp
-$B$^$?$O(B(``$B%P%C%/%/%)!<%H(B'' $B%P!<%8%g%s(B)$B!"(B
+$B$^$?$O(B(
+.Dq $B%P%C%/%/%)!<%H(B
+$B%P!<%8%g%s(B)$B!"(B
 .Bd -literal -offset indent
 `command`
 .Ed
@@ -874,28 +934,52 @@
 $B0lCW$7$^$;$s!#<!$K!"%Q%?!<%s$O!"$=$N%Q%?!<%s$,%T%j%*%I$G;O$^$i$J$$$+$.$j!"(B
 $B%T%j%*%I$G;O$^$kJ8;zNs$K0lCW$7$^$;$s!#(B
 $B<!@a$G$O!"%Q%9L>E83+$H(B
-.Xr case 1
+.Dq case
 $B%3%^%s%I$GMQ$$$i$l$k%Q%?!<%s$K$D$$$F@bL@$7$^$9!#(B
 .Ss $B%7%'%k%Q%?!<%s(B
 $B%Q%?!<%s$O!"DL>o$NJ8;z$H%a%?%-%c%i%/%?$+$i$J$j$^$9!#DL>o$NJ8;z$O!"(B
 $B$=$NJ8;z$=$N$b$N$K0lCW$7$^$9!#(B
-$B%a%?%-%c%i%/%?$O(B ``!''$B!"(B ``*''$B!"(B ``?''$B!"(B ``['' $B$G$9!#$3$l$i$NJ8;z$r0zMQ(B
+$B%a%?%-%c%i%/%?$O(B
+.Dq ! ,
+.Dq * ,
+.Dq ? ,
+.Dq [
+$B$G$9!#$3$l$i$NJ8;z$r0zMQ(B
 $B$9$k$H!"3F!9$NFC<l$J0UL#$r<:$$$^$9!#%3%^%s%ICV49$dJQ?tCV49$K$*$$$F!"(B
 $B%I%k5-9f$d%P%C%/%/%)!<%HJ8;z$,%@%V%k%/%)!<%HJ8;z$NCf$K$J$$>l9g$K$O!"(B
 $BJQ?t$NCM$d%3%^%s%I$N=PNO$NCf$K!"$3$l$i$NFC<l$JJ8;z$,B8:_$9$k$+$I$&$+$,(B
 $BD4$Y$i$l!"$=$l$i$,$"$l$P!"%a%?%-%c%i%/%?$H$7$F07$o$l$^$9!#(B
 .Pp
-$B%"%9%?%j%9%/J8;z(B (``*'') $B$O!"$I$N$h$&$JJ8;zNs$H$b0lCW$7$^$9!#(B
-$B%/%(%9%A%g%s%^!<%/J8;z(B (``?'') $B$O!"G$0U$NJ8;z(B 1 $BJ8;z$H0lCW$7$^$9!#(B
-$B:8Bg3g8L(B (``['') $B$OJ8;z%/%i%9$r3+;O$7$^$9!#(B
-$BJ8;z%/%i%9$N:G8e$O1&Bg3g8L(B (``]'') $B$G$9!#(B``]'' $B$,$J$$>l9g(B
-$B$O!"(B``['' $B$OJ8;z$=$N$b$N$K0lCW$7!"J8;z%/%i%9$N3+;O$H$O8+$J$5$l$^$;$s!#J8;z(B
+$B%"%9%?%j%9%/J8;z(B
+.Dq *
+$B$O!"$I$N$h$&$JJ8;zNs$H$b0lCW$7$^$9!#(B
+$B%/%(%9%A%g%s%^!<%/J8;z(B
+.Dq ?
+$B$O!"G$0U$NJ8;z(B 1 $BJ8;z$H0lCW$7$^$9!#(B
+$B:8Bg3g8L(B
+.Dq [
+$B$OJ8;z%/%i%9$r3+;O$7$^$9!#(B
+$BJ8;z%/%i%9$N:G8e$O1&Bg3g8L(B
+.Dq ]
+$B$G$9!#(B
+.Dq ]
+$B$,$J$$>l9g$O!"(B
+.Dq [
+$B$OJ8;z$=$N$b$N$K0lCW$7!"J8;z%/%i%9$N3+;O$H$O8+$J$5$l$^$;$s!#J8;z(B
 $B%/%i%9$OBg3g8LFb$K=P8=$9$k$9$Y$F$NJ8;z$K0lCW$7$^$9!#(B
 $B%^%$%J%95-9f$rMQ$$$l$P!"J8;z$NHO0O$r;XDj$9$k$3$H$,$G$-$^$9!#(B
-$BJ8;z%/%i%9$N:G=i$K%(%/%9%/%i%a!<%7%g%s%^!<%/(B (``!'') $B$rCV$/$3$H$G!"(B
+$BJ8;z%/%i%9$N:G=i$K%(%/%9%/%i%a!<%7%g%s%^!<%/(B
+.Dq !
+$B$rCV$/$3$H$G!"(B
 $BJ8;z%/%i%9$N0UL#$rH?E>$5$;$k$3$H$,$G$-$^$9!#(B
 .Pp
-$BJ8;z%/%i%9$KJ8;z(B ``]'' $B$r4^$a$k$K$O!"(B ``]'' $B$rJ8;z%/%i%9$N:G=i(B (``!'' $B$r(B
+$BJ8;z%/%i%9$KJ8;z(B
+.Dq ]
+$B$r4^$a$k$K$O!"(B
+.Dq ]
+$B$rJ8;z%/%i%9$N:G=i(B
+.Dq !
+$B$r(B
 $BCV$/>l9g$O$=$N$"$H(B) $B$KCV$-$^$9!#(B
 $BJ8;z%/%i%9$K%^%$%J%95-9f$r4^$a$k$H$-$bF1MM$G!"(B
 $B%j%9%H$N:G=i$b$7$/$O:G8e$KCV$-$^$9!#(B
@@ -923,9 +1007,16 @@
 .Ev PATH
 $B$r;HMQ$7$F$b8+IU$+$i$J$$>l9g!"%+%l%s%H%G%#%l%/%H%j$r8!:w$7$^$9!#(B
 .It alias  [ name[=string] ...  ]
-name=string $B$,;XDj$5$l$F$$$k>l9g!"%7%'%k$OL>A0(B ``name'' $B$r;}$DCM(B 
-``value'' $B$N%(%$%j%"%9$rDj5A$7$^$9!#C1$K(B ``name'' $B$@$1$,;XDj$5$l$?>l9g!"(B
-$B%(%$%j%"%9(B ``name'' $B$NCM$,I=<($5$l$^$9!#0z?t$,;XDj$5$l$J$$>l9g!"Dj5A$5(B
+name=string $B$,;XDj$5$l$F$$$k>l9g!"%7%'%k$OL>A0(B
+.Dq name
+$B$r;}$DCM(B 
+.Dq string
+$B$N%(%$%j%"%9$rDj5A$7$^$9!#C1$K(B
+.Dq name
+$B$@$1$,;XDj$5$l$?>l9g!"(B
+$B%(%$%j%"%9(B
+.Dq name
+$B$NCM$,I=<($5$l$^$9!#0z?t$,;XDj$5$l$J$$>l9g!"Dj5A$5(B
 $B$l$F$$$k$9$Y$F$N%(%$%j%"%9$NL>A0$HCM$rI=<($7$^$9(B (unalias $B$b;2>H(B)$B!#(B
 .It bg [ job ] ...
 $B;XDj$5$l$?%8%g%V(B ($B;XDj$5$l$J$+$C$?>l9g$O8=:_$N%8%g%V(B) $B$r!"(B
@@ -1009,8 +1100,12 @@
 .It string
 $BJ8;zNs(B string $B$O!"2a5n$K<B9T$5$l$?%3%^%s%I$N$&$A!"(B
 $B$=$NJ8;zNs$+$i;O$^$k:G?7$N$b$N$r;XDj$7$^$9!#(B
-$B$b$7(B -s $B%*%W%7%g%s$,;XDj$5$l$F(B ``old=new'' $B$,;XDj$5$l$F$$$J$1$l$P!"(B
-$B:G=i$N%*%Z%i%s%I$K%$%3!<%k5-9f(B (``='') $B$r4^$a$k$3$H$O$G$-$^$;$s!#(B
+$B$b$7(B -s $B%*%W%7%g%s$,;XDj$5$l$F(B
+.Dq old=new
+$B$,;XDj$5$l$F$$$J$1$l$P!"(B
+$B:G=i$N%*%Z%i%s%I$K%$%3!<%k5-9f(B
+.Dq =
+$B$r4^$a$k$3$H$O$G$-$^$;$s!#(B
 .El
 .\" $B<!$N9T$N(B .Pp $B$O$b$H$b$H%3%a%s%H%"%&%H$5$l$F$$$?(B
 .Pp 
@@ -1037,7 +1132,9 @@
 $B%7%'%k$O!"%3%^%s%I$N0LCV$rJ];}$9$k%O%C%7%e%F!<%V%k$r0];}4IM}$7$F$$$^$9!#(B
 hash $B%3%^%s%I$K0z?t$,;XDj$5$l$J$+$C$?>l9g!"$3$N%F!<%V%k$NFbMF$,=PNO$5$l$^$9!#(B
 $B:G8e$K(B cd $B%3%^%s%I$,<B9T$5$l$F$+$i;2>H$5$l$F$$$J$$9`L\$K$O(B
-$B%"%9%?%j%9%/J8;z(B (``*'') $B$,I=<($5$l$^$9!#(B
+$B%"%9%?%j%9%/J8;z(B
+.Dq *
+$B$,I=<($5$l$^$9!#(B
 $B$3$N9`L\$OL58z$K$J$C$F$$$k$+$b$7$l$^$;$s!#(B
 .Pp
 $B0z?t$r;XDj$7$?>l9g!"(Bhash $B%3%^%s%I$O;XDj$7$?%3%^%s%I$r%O%C%7%e%F!<%V%k(B
@@ -1095,13 +1192,19 @@
 .It
 $B0z?t$r;XDj$7$J$+$C$?>l9g!"$9$Y$F$N%7%'%kJQ?t$NL>A0$HCM$N0lMw$rI=<($7$^$9!#(B
 .It
-options $B$,;XDj$5$l$?>l9g!"!V0z?t%j%9%H=hM}!W$N@a$G@bL@$7$?J}K!$G!"(B
+options $B$,;XDj$5$l$?>l9g!"(B
+.Sx $B0z?t%j%9%H=hM}(B
+$B$N@a$G@bL@$7$?J}K!$G!"(B
 $B;XDj$5$l$?%*%W%7%g%s%U%i%0$r@_Dj$"$k$$$O2r=|$7$^$9!#(B
 .It
 $BBh(B 3 $B$NMQK!$O!"%7%'%k$N0LCV%Q%i%a!<%?$rJQ99$9$k:]$K;HMQ$7$^$9!#%*%W%7%g%s$N(B
 $B@_Dj$rJQ99$;$:$K0LCV%Q%i%a!<%?$N$_$rJQ99$7$?$$>l9g$O(B set $B%3%^%s%I$X$N:G=i(B
-$B$N0z?t$H$7$F(B ``--'' $B$r;XDj$7$^$9!#(Barg $B$,;XDj$5$l$J$$>l9g!"(B
-$B$9$Y$F$N0LCV%Q%i%a!<%?$O%/%j%"$5$l$^$9(B (``shift $#'' $B$r<B9T$9$k$3$H$H(B
+$B$N0z?t$H$7$F(B
+.Dq --
+$B$r;XDj$7$^$9!#(Barg $B$,;XDj$5$l$J$$>l9g!"(B
+$B$9$Y$F$N0LCV%Q%i%a!<%?$O%/%j%"$5$l$^$9(B (
+.Dq shift $#
+$B$r<B9T$9$k$3$H$H(B
 $BEy2A$G$9(B)$B!#(B
 .El
 .Pp
@@ -1133,19 +1236,30 @@
 $B%j%=!<%9$N%j%_%C%HCM(B ($B%j%_%C%HCM$K$D$$$F$O(B
 .Xr getrlimit 2
 $B;2>H(B) $B$r@_Dj$"$k$$$OI=<($7$^$9!#(B
-``limit'' $B$,;XDj$5$l$F$$$k>l9g!";XDj$5$l$?%j%=!<%9$,@_Dj$5$l$^$9!#(B
+.Dq limit
+$B$,;XDj$5$l$F$$$k>l9g!";XDj$5$l$?%j%=!<%9$,@_Dj$5$l$^$9!#(B
 $B$=$l0J30$N>l9g!"8=:_$N%j%=!<%9@_DjCM$,I=<($5$l$^$9!#(B
 .Pp
-``-H'' $B$,;XDj$5$l$?>l9g!"%O!<%I%j%_%C%H$,@_Dj$J$$$7I=<($5$l$^$9!#(B
+.Dq -H
+$B$,;XDj$5$l$?>l9g!"%O!<%I%j%_%C%H$,@_Dj$J$$$7I=<($5$l$^$9!#(B
 $B%O!<%I%j%_%C%HCM$r2<$2$k$3$H$OC/$K$G$b$G$-$^$9$,!"(B
 $B$=$l$rA}$d$9$3$H$,$G$-$k$N$O%9!<%Q%f!<%6$@$1$G$9!#(B
-$B%*%W%7%g%s(B ``-S'' $B$r;XDj$7$?>l9g$O%=%U%H%j%_%C%H$K$J$j$^$9!#(B
-$B%j%_%C%HCM$rI=<($9$k>l9g!"(B``-S'' $B$+(B ``-H'' $B$N$$$:$l$+0lJ}$@$1$7$+(B
-$B;XDj$G$-$^$;$s!#(B
+$B%*%W%7%g%s(B
+.Dq -S
+$B$r;XDj$7$?>l9g$O%=%U%H%j%_%C%H$K$J$j$^$9!#(B
+$B%j%_%C%HCM$rI=<($9$k>l9g!"(B
+.Dq -S
+$B$+(B
+.Dq -H
+$B$N$$$:$l$+0lJ}$@$1$7$+;XDj$G$-$^$;$s!#(B
 $B%G%U%)%k%H$G$O!"I=<($O%=%U%H%j%_%C%H!"@_Dj$O%O!<%I(B/$B%=%U%H%j%_%C%HN>J}$G$9!#(B
 .Pp
-$B%*%W%7%g%s(B ``-a'' $B$r;XDj$9$k$HA4%j%=!<%9$N@_DjCM$,I=<($5$l$^$9!#(B
-$B$3$N>l9g!"%Q%i%a!<%?(B ``limit'' $B$O;XDj$G$-$^$;$s!#(B
+$B%*%W%7%g%s(B
+.Dq -a
+$B$r;XDj$9$k$HA4%j%=!<%9$N@_DjCM$,I=<($5$l$^$9!#(B
+$B$3$N>l9g!"%Q%i%a!<%?(B
+.Dq limit
+$B$O;XDj$G$-$^$;$s!#(B
 .Pp
 $B$3$NB>$N%*%W%7%g%s$O!"I=<($"$k$$$O@_Dj$9$k%j%=!<%9$N<oN`$r;XDj$9$k$b$N$G$9!#(B
 $B$3$l$i$O8_$$$KGSB>E*$G$9!#(B
@@ -1175,8 +1289,10 @@
 $B$r;2>H(B) $B$r!";XDj$5$l$?(B 8 $B?J?t$NCM$K@_Dj$7$^$9!#0z?t$,(B
 $B>JN,$5$l$?>l9g!"8=:_$N(B umask $B$NCM$,I=<($5$l$^$9!#(B
 .It unalias [-a] [name]
-``name'' $B$,;XDj$5$l$?>l9g!";XDj$5$l$?L>A0$N%(%$%j%"%9$r:o=|$7$^$9!#(B
-``-a'' $B%*%W%7%g%s$,;XDj$5$l$?>l9g!"$9$Y$F$N%(%$%j%"%9$r:o=|$7$^$9!#(B
+.Dq name
+$B$,;XDj$5$l$?>l9g!";XDj$5$l$?L>A0$N%(%$%j%"%9$r:o=|$7$^$9!#(B
+.Dq -a
+$B%*%W%7%g%s$,;XDj$5$l$?>l9g!"$9$Y$F$N%(%$%j%"%9$r:o=|$7$^$9!#(B
 .It unset name ...
 $B;XDj$5$l$?JQ?t$^$?$O4X?t$r(B unset $B$7!"%(%/%9%]!<%H$5$l$F$$$J$$>uBV$K$7$^$9!#(B
 $B;XDj$5$l$?L>A0$NJQ?t$b4X?t$bB8:_$9$k>l9g!"JQ?t$H4X?t$NN>J}$,(B unset $B$5$l$^$9!#(B
diff -ur man/man8/ipfw.8 man/man8/ipfw.8
--- man/man8/ipfw.8	Sun Aug 29 22:15:44 1999
+++ man/man8/ipfw.8	Wed Sep  1 00:25:57 1999
@@ -1,5 +1,5 @@
 .\"
-.\" %Id: ipfw.8,v 1.47.2.6 1999/08/16 17:29:52 luigi Exp %
+.\" %FreeBSD: src/sbin/ipfw/ipfw.8,v 1.47.2.8 1999/08/29 15:13:45 peter Exp %
 .\"
 .\" jpman %Id: ipfw.8,v 1.4 1997/05/19 17:19:51 horikawa Stab %
 .Dd July 20, 1996
@@ -31,6 +31,12 @@
 zero
 .Op Ar number ...
 .Nm ipfw
+.Oo
+.Fl q
+.Oc
+resetlog
+.Op Ar number ...
+.Nm ipfw
 delete
 .Ar number ...
 .Nm ipfw
@@ -51,7 +57,7 @@
 .Op Ar number
 .Op prob match_probability
 .Ar action 
-.Op log
+.Op log Op Ar logamount Ar number
 .Ar proto
 from
 .Ar src
@@ -118,19 +124,23 @@
 $B%k!<%k$NHV9f$,(B 65435 $B0J>e$N>l9g$O!"?7$7$$%k!<%k$OF1$8HV9f$,M?$($i$l$^$9!#(B
 $B!#(B
 .Pp
-delete $BA`:n$O(B
+delete $BA`:n$O!"(B
 .Ar number 
 $B$G;XDj$5$l$?HV9f$r;}$D:G=i$N%k!<%k$r!"$b$7M-$l$P!":o=|$7$^$9!#(B
 .Pp
-list $BA`:n$O8=:_$N%k!<%k0lMw$r=PNO$7$^$9!#(B
+list $BA`:n$O!"8=:_$N%k!<%k0lMw$r=PNO$7$^$9!#(B
 .Pp
-show $BA`:n$O(B `ipfw -a list' $B$HF1$87k2L$r=PNO$7$^$9!#(B
+show $BA`:n$O!"(B`ipfw -a list' $B$HF1$87k2L$r=PNO$7$^$9!#(B
 .Pp
-zero $BA`:n$O(B
+zero $BA`:n$O!"(B
 .Ar number
 $B$G;XDj$5$l$?HV9f$r;}$D%k!<%k$N%+%&%s%?$r%/%j%"$7$^$9!#(B
 .Pp
-flush $BA`:n$OA4%k!<%k$r:o=|$7$^$9!#(B
+resetlog $BA`:n$O!"%k!<%kHV9f(B
+.Ar number
+$B$K4XO"IU$1$i$l$?%m%0%+%&%s%?$r%j%;%C%H$7$^$9!#(B
+.Pp
+flush $BA`:n$O!"A4%k!<%k$r:o=|$7$^$9!#(B
 .Pp
 $B5-9f(B `#' $B$G;O$^$k9T$*$h$S6u9T$OL5;k$5$l$^$9!#(B
 .Pp
@@ -167,7 +177,7 @@
 $B%W%m%;%9$K(B tty $B$,4XO"IU$1$i$l$F$$$J$$>l9g$K$O!"(B
 $B$3$N%*%W%7%g%s$,;XDj$5$l$F$$$k$b$N$H$7$F<B9T$5$l$^$9!#(B
 .It Fl q
-$B%k!<%k$r(B add, zero, flush $B$9$k:]$K!"%a%C%;!<%8$N=PNO$rM^@)$7$^$9(B (
+$B%k!<%k$r(B add, zero, resetlog, flush $B$9$k:]$K!"%a%C%;!<%8$N=PNO$rM^@)$7$^$9(B (
 .Fl f
 $B$b4^$^$l$^$9(B)$B!#(B
 $B$3$N%*%W%7%g%s$O!"%j%b!<%H%m%0%$%s%;%C%7%g%s$G%k!<%k$rD4@0$9$k:]$K!"(B
@@ -186,7 +196,18 @@
 .It Fl t
 list $BA`:n$N;~$K!":G8e$K%^%C%A$7$?%Q%1%C%H$N%?%$%`%9%?%s%W$rI=<($7$^$9!#(B
 .It Fl N
-IP$B%"%I%l%9$H%5!<%S%9L>$r%j%>%k%V$7$F%[%9%HL>$GI=<($7$^$9!#(B
+IP $B%"%I%l%9$H%5!<%S%9L>$r%j%>%k%V$7$F%[%9%HL>$GI=<($7$^$9!#(B
+.It Ar uid user
+.Ar user
+$B$,Aw?.$7$?$^$?$O<u?.$9$k!"(B
+$B$9$Y$F$N(B TCP $B%Q%1%C%H$H(B UDP $B%Q%1%C%H$K%^%C%A$7$^$9!#(B
+.Ar user
+$B$O!"L>A0$G$b(B ID $BHV9f$G$b%^%C%A$7$^$9!#(B
+.It Ar gid group
+$B$,Aw?.$7$?$^$?$O<u?.$9$k!"(B
+$B$9$Y$F$N(B TCP $B%Q%1%C%H$H(B UDP $B%Q%1%C%H$K%^%C%A$7$^$9!#(B
+.Ar group
+$B$O!"L>A0$G$b(B ID $BHV9f$G$b%^%C%A$7$^$9!#(B
 .El
 .Pp
 .Ar action :
@@ -306,13 +327,24 @@
 $B%^%C%A$7$?;~$O!"%a%C%;!<%8$r%3%s%=!<%k$KI=<($7$^$9!#(B
 $B$b$7!"(B
 .Dv IPFIREWALL_VERBOSE_LIMIT
-$B%*%W%7%g%sIU$-$G%3%s%Q%$%k$5$l$F$$$k>l9g!"0lO"$N%k!<%k$KBP$7;XDj$5$l$?%Q%1%C%H(B
+$B%*%W%7%g%sIU$-$G%3%s%Q%$%k$5$l$F$$$k>l9g!"(B
+$B%G%U%)%k%H$G$O!"(B
+$B0lO"$N%k!<%k$KBP$7;XDj$5$l$?%Q%1%C%H(B
 $B?t$r<u?.$7$?8e!"%a%C%;!<%8$NI=<($rCf;_$7$^$9!#(B
+$B$7$+$7(B
+.Ar logamount Ar number
+$B$,;HMQ$5$l$?>l9g!"(B
+.Dv IPFIREWALL_VERBOSE_LIMIT
+$B$NBe$j$K$3$N(B
+.Ar number
+$B$,%G%U%)%k%H$N%m%0@)8B$K$J$j$^$9!#(B
 $B%Q%1%C%H$N%+%&%s%?$r%/%j%"$9$l$P:F$S%a%C%;!<%8$r=PNO$7$^$9!#(B
 .Pp
 $B%3%s%=!<%k$X$NI=<($H$=$N@)8B?t$O!"(B
 .Xr sysctl 8
-$B$rDL$7!"D>@\@_Dj$G$-$^$9!#(B
+$B$rDL$8$F(B MIB $B%Y!<%9(B
+.Dv net.inet.ip.fw
+$B$K$FD>@\@_Dj$G$-$^$9!#(B
 .Pp
 .Ar proto :
 .Bl -hang -offset flag -width 1234567890123456
diff -ur man/man8/pccardd.8 man/man8/pccardd.8
--- man/man8/pccardd.8	Sun Jul 11 12:49:48 1999
+++ man/man8/pccardd.8	Wed Sep  1 00:26:49 1999
@@ -23,7 +23,7 @@
 .\" (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
 .\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 .\"
-.\"	%Id: pccardd.8,v 1.10.2.2 1999/06/26 23:18:32 mpp Exp %
+.\" %FreeBSD: src/usr.sbin/pccard/pccardd/pccardd.8,v 1.10.2.4 1999/08/29 15:44:45 peter Exp %
 .\"
 .\" jpman %Id: pccardd.8,v 1.4 1997/07/26 22:04:06 horikawa Stab %
 .\"
@@ -37,6 +37,8 @@
 .Nm pccardd
 .Op Fl d
 .Op Fl v
+.Op Fl z
+.Op Fl i Ar IRQ
 .Op Fl f Ar configfile
 .Sh $B2r@b(B
 .Nm
@@ -116,6 +118,12 @@
 $B%(%i!<%a%C%;!<%8$rI=<($7$^$9!#(B
 .It Fl v
 $B@_Dj%U%!%$%k$rFI$_9~$s$@8e$G!"$=$N$^$H$a$r=PNO$7$^$9!#(B
+.It Fl z
+$B%G!<%b%s$H$7$F<B9T$9$k$3$H$r>/!9CY$i$;$^$9!#(B
+.It Fl i Ar IRQ
+$BMxMQ2DG=$J(B IRQ $B$r@_Dj$7$^$9!#(B
+.Pa /etc/pccard.conf
+$B$N(B "irq" $B9T$KM%@h$7$^$9!#(B
 .It Fl f Ar configfile
 $B%G%U%)%k%H@_Dj%U%!%$%k(B
 .Pa /etc/pccard.conf



$B1QJ8:9J,(B

diff -urNP fbsd-3.2-19990827-STABLE/man1/sh.1 man1/sh.1
--- fbsd-3.2-19990827-STABLE/man1/sh.1	Fri Aug 27 18:47:22 1999
+++ man1/sh.1	Tue Aug 31 18:29:10 1999
@@ -33,7 +33,7 @@
 .\" SUCH DAMAGE.
 .\"
 .\"	from: @(#)sh.1	8.6 (Berkeley) 5/4/95
-.\"	$Id: sh.1,v 1.23.2.2 1999/04/19 18:54:06 max Exp $
+.\" $FreeBSD: src/bin/sh/sh.1,v 1.23.2.4 1999/08/30 10:20:14 sheldonh Exp $
 .\"
 .Dd May 5, 1995
 .Dt SH 1
@@ -115,7 +115,7 @@
 substituting for
 .Pa .shinit
 any filename you wish.
-If commandline arguments besides the options have been
+If command line arguments besides the options have been
 specified, then the shell treats the first argument as the
 name of a file from which to read commands (a shell script), and
 the remaining arguments are set as the positional parameters
@@ -135,13 +135,13 @@
 All of the single letter options to
 .Nm
 have a corresponding name that can be used as an argument to the
-.Xr set 1
+.Dq set
 builtin (described later).  These names are provided next to the
 single letter option in the descriptions below.  Specifying a dash
 .Dq -
 enables the option, while using a plus
 .Dq +
-disables the option.  A 
+disables the option.  A
 .Dq --
 or plain
 .Dq -
@@ -156,12 +156,12 @@
 .Pq UNIMPLEMENTED
 .It Fl C Li noclobber
 Don't overwrite existing files with
-.Dq >.
+.Dq > .
 .Pq UNIMPLEMENTED
 .It Fl E Li emacs
 Enable the built-in
 .Xr emacs 1
-commandline editor (disables
+command line editor (disables
 .Fl V
 if it has been set).
 .It Fl e Li errexit
@@ -201,20 +201,21 @@
 and ignores the contents of the
 .Ev ENV
 variable.
-
 .It Fl s Li stdin
 Read commands from standard input (set automatically
 if no file arguments are present).  This option has
 no effect when set after the shell has already started
-running (i.e. with
-.Xr set 1 Ns ).
+running (i.e. when set with the
+.Dq set
+command).
 .It Fl T Li asynctraps
 When waiting for a child, execute traps immediately. If this option is
 not set, traps are executed after the child exits, as specified in
 .St -p1003.2
-This nonstandard option is useful to put guarding shells around childs
-that block signals. The surrounding shell may kill the child or it may
-just return control to the tty and leave the child alone, like this:
+This nonstandard option is useful for putting guarding shells around
+children that block signals.  The surrounding shell may kill the child
+or it may just return control to the tty and leave the child alone,
+like this:
 .Bd -literal -offset indent
 sh -T -c "trap 'exit 1' 2 ; some-blocking-program"
 .Ed
@@ -227,7 +228,7 @@
 .It Fl V Li vi
 Enable the built-in
 .Xr vi 1
-commandline editor (disables
+command line editor (disables
 .Fl E
 if it has been set).
 .It Fl v Li verbose
@@ -246,7 +247,9 @@
 The shell reads input in terms of lines from a file and breaks
 it up into words at whitespace (blanks and tabs), and at
 certain sequences of
-characters that are special to the shell called ``operators''.
+characters called
+.Dq operators ,
+which are special to the shell.
 There are two types of operators: control operators and
 redirection operators (their meaning is discussed later).
 The following is a list of valid operators:
@@ -294,12 +297,15 @@
 .Ed
 .Ss Aliases
 An alias is a name and corresponding value set using the
-.Xr alias 1
+.Dq alias
 builtin command.  Whenever a reserved word may occur (see above),
 and after checking for reserved words, the shell
 checks the word to see if it matches an alias. If it does,
 it replaces it in the input stream with its value.  For example,
-if there is an alias called ``lf'' with the value ``ls -F'',
+if there is an alias called
+.Dq lf
+with the value
+.Dq ls -F ,
 then the input
 .Bd -literal -offset indent
 lf foobar <return>
@@ -329,18 +335,21 @@
 the following actions:
 .Bl -enum
 .It
-Leading words of the form ``name=value'' are
-stripped off and assigned to the environment of
+Leading words of the form
+.Dq name=value
+are stripped off and assigned to the environment of
 the simple command.  Redirection operators and
 their arguments (as described below) are stripped
 off and saved for processing.
 .It
 The remaining words are expanded as described in
-the section called ``Expansions'', and the
-first remaining word is considered the command
+the section called
+.Sx Word Expansions ,
+and the first remaining word is considered the command
 name and the command is located.  The remaining
 words are considered the arguments of the command.
-If no command name resulted, then the ``name=value''
+If no command name resulted, then the
+.Dq name=value
 variable assignments recognized in 1) affect the
 current shell.
 .It
@@ -379,7 +388,8 @@
 close stdout (or n)
 .El
 .Pp
-The following redirection is often called a ``here-document''.
+The following redirection is often called a
+.Dq here-document .
 .Bd -literal -offset indent
 [n]<< delimiter
 	here-doc-text...
@@ -392,8 +402,13 @@
 as specified on the initial line is quoted, then the here-doc-text
 is treated literally, otherwise the text is subjected to
 parameter expansion, command substitution, and arithmetic
-expansion (as described in the section on ``Expansions'').  If
-the operator is ``<<-'' instead of ``<<'', then leading tabs
+expansion (as described in the section on
+.Sx Word Expansions ) .
+If the operator is
+.Dq <<-
+instead of
+.Dq << ,
+then leading tabs
 in the here-doc-text are stripped.
 .Ss Search and Execution
 There are three types of commands: shell functions,
@@ -421,13 +436,15 @@
 When a normal program is executed, the shell runs the program,
 passing the arguments and the environment to the
 program. If the program is not a normal executable file
-(i.e., if it does not begin with the "magic number" whose
+(i.e. if it does not begin with the
+.Qq magic number
+whose
 .Tn ASCII
-representation is "#!", so
-.Fn execve
-returns
-.Er ENOEXEC
-then) the shell
+representation is
+.Qq #! ,
+resulting in an ENOEXEC return value from
+.Fn execve )
+the shell
 will interpret the program in a subshell.  The child shell
 will reinitialize itself in this case, so that the effect will
 be as if a new shell had been invoked to handle the ad-hoc shell
@@ -437,7 +454,8 @@
 Note that previous versions of this document
 and the source code itself misleadingly and sporadically
 refer to a shell script without a magic number
-as a "shell procedure".
+as a
+.Qq shell procedure .
 .Ss Path Search
 When locating a command, the shell first looks to see if
 it has a shell function by that name.  Then it looks for a
@@ -562,11 +580,19 @@
 otherwise it waits for the command to terminate before
 proceeding to the next one.
 .Ss Short-Circuit List Operators
-``&&'' and ``||'' are AND-OR list operators.  ``&&'' executes
-the first command, and then executes the second command
-if the exit status of the first command is zero.  ``||''
+.Dq &&
+and
+.Dq ||
+are AND-OR list operators.
+.Dq &&
+executes the first command, and then executes the second command
+if the exit status of the first command is zero.
+.Dq ||
 is similar, but executes the second command if the exit
-status of the first command is nonzero.  ``&&'' and ``||''
+status of the first command is nonzero.
+.Dq &&
+and
+.Dq ||
 both have the same priority.
 .Ss Flow-Control Constructs -- if, while, for, case
 The syntax of the if command is
@@ -600,7 +626,10 @@
 .Pp
 The words are expanded, and then the list is executed
 repeatedly with the variable set to each word in turn.  do
-and done may be replaced with ``{'' and ``}''.
+and done may be replaced with
+.Dq {
+and
+.Dq } .
 .Pp
 The syntax of the break and continue command is
 .Bd -literal -offset indent
@@ -621,7 +650,9 @@
 .Ed
 .Pp
 The pattern can actually be one or more patterns (see Shell
-Patterns described later), separated by ``|'' characters.
+Patterns described later), separated by
+.Dq |
+characters.
 .Ss Grouping Commands Together
 Commands may be grouped by writing either
 .Bd -literal -offset indent
@@ -652,7 +683,10 @@
 A function definition is an executable statement; when
 executed it installs a function named name and returns an
 exit status of zero.  The command is normally a list
-enclosed between ``{'' and ``}''.
+enclosed between
+.Dq {
+and
+.Dq } .
 .Pp
 Variables may be declared to be local to a function by
 using a local command.  This should appear as the first
@@ -674,7 +708,10 @@
 named x.
 .Pp
 The only special parameter than can be made local is
-``-''.  Making ``-'' local any shell options that are
+.Dq - .
+Making
+.Dq -
+local causes any shell options that are
 changed via the set command inside the function to be
 restored to their original values when the function
 returns.
@@ -701,9 +738,9 @@
 or a special character as explained below.
 .Ss Positional Parameters
 A positional parameter is a parameter denoted by a number (n > 0).
-The shell sets these initially to the values of its commandline
+The shell sets these initially to the values of its command line
 arguments that follow the name of the shell script.  The
-.Xr set 1
+.Dq set
 builtin can also be used to set or reset them.
 .Ss Special Parameters
 A special parameter is a parameter denoted by one of the following
@@ -723,7 +760,13 @@
 If there are no positional parameters, the
 expansion of @ generates zero arguments, even when @ is
 double-quoted.  What this basically means, for example, is
-if $1 is ``abc'' and $2 is ``def ghi'', then "$@" expands to
+if $1 is
+.Dq abc
+and $2 is
+.Dq def ghi ,
+then
+.Qq $@
+expands to
 the two arguments:
 .Bd -literal -offset indent
 "abc"   "def ghi"
@@ -896,7 +939,9 @@
 $(command)
 .Ed
 .Pp
-or (``backquoted'' version):
+or (
+.Dq backquoted
+version):
 .Bd -literal -offset indent
 `command`
 .Ed
@@ -946,23 +991,38 @@
 unless the first character of the pattern is a period.
 The next section describes the patterns used for both
 Pathname Expansion and the
-.Xr case 1
+.Dq case
 command.
 .Ss Shell Patterns
 A pattern consists of normal characters, which match themselves,
 and meta-characters.   The meta-characters are
-``!'', ``*'', ``?'', and ``[''.  These characters lose
-their special meanings if they are quoted.  When command
-or variable substitution is performed and the dollar sign
-or back quotes are not double quoted, the value of the
+.Dq ! ,
+.Dq * ,
+.Dq ? ,
+and
+.Dq [ .
+These characters lose their special meanings if they are quoted.
+When command or variable substitution is performed and the dollar sign
+or back quotes are not double-quoted, the value of the
 variable or the output of the command is scanned for these
 characters and they are turned into meta-characters.
 .Pp
-An asterisk (``*'') matches any string of characters.  A
+An asterisk
+.Dq *
+matches any string of characters.  A
 question mark matches any single character. A left
-bracket (``['') introduces a character class.  The end of
-the character class is indicated by a ``]''; if the ``]''
-is missing then the ``['' matches a ``['' rather than
+bracket
+.Dq [
+introduces a character class.  The end of
+the character class is indicated by a
+.Dq ] ;
+if the
+.Dq ]
+is missing then the
+.Dq [
+matches a
+.Dq [
+rather than
 introducing a character class.  A character class matches
 any of the characters between the square brackets.  A
 range of characters may be specified using a minus sign.
@@ -970,8 +1030,12 @@
 exclamation point the first character of the character
 class.
 .Pp
-To include a ``]'' in a character class, make it the first
-character listed (after the ``!'', if any).  To include a
+To include a
+.Dq ]
+in a character class, make it the first
+character listed (after the
+.Dq ! ,
+if any).  To include a
 minus sign, make it the first or last character listed.
 .Ss Builtins
 This section lists the builtin commands which
@@ -999,8 +1063,15 @@
 it is sought in the current working directory.
 .It alias  [ name[=string] ...  ]
 If name=string is specified, the shell defines the
-alias ``name'' with value ``string''.  If just ``name''
-is specified, the value of the alias ``name'' is printed.
+alias
+.Dq name
+with value
+.Dq string .
+If just
+.Dq name
+is specified, the value of the alias
+.Dq name
+is printed.
 With no arguments, the alias builtin prints the
 names and values of all defined aliases (see unalias).
 .It bg [ job ] ...
@@ -1137,7 +1208,7 @@
 to delete all the entries in the hash table except
 for functions.
 .It jobid [ job ]
-Print the process id's of the processes in the job. 
+Print the process id's of the processes in the job.
 If the job argument is omitted, use the current job.
 .It jobs
 This command lists out all the background processes
@@ -1198,15 +1269,19 @@
 .It
 If options are given, it sets the specified option
 flags, or clears them as described in the section
-called ``Argument List Processing''.
+called
+.Sx Argument List Processing .
 .It
 The third use of the set command is to set the values
 of the shell's positional parameters to the specified
 args.  To change the positional parameters without
-changing any options, use ``--'' as the first argument
+changing any options, use
+.Dq --
+as the first argument
 to set.  If no args are present, the set command
 will clear all the positional parameters (equivalent
-to executing ``shift $#''.
+to executing
+.Dq shift $# .
 .El
 .Pp
 .It setvar variable value
@@ -1241,19 +1316,31 @@
 .It ulimit [ -HSacdflmnust ] [ limit ]
 Set or display resource limits (see
 .Xr getrlimit 2 ).
-If ``limit'' is specified, the named resource will be set;
+If
+.Dq limit
+is specified, the named resource will be set;
 otherwise the current resource value will be displayed.
 .Pp
-If ``-H'' is specified, the hard limits will be
+If
+.Dq -H
+is specified, the hard limits will be
 set or displayed.  While everybody is allowed to reduce a
-hard limit, only the superuser can increase it.  Option ``-S''
+hard limit, only the superuser can increase it.  Option
+.Dq -S
 specifies the soft limits instead.  When displaying limits,
-only one of ``-S'' or ``-H'' can be given.  The default is
+only one of
+.Dq -S
+or
+.Dq -H
+can be given.  The default is
 to display the soft limits, and to set both, the hard and
 the soft limits.
 .Pp
-Option ``-a'' requests to display all resources.  The parameter
-``limit'' is not acceptable in this mode.
+Option
+.Dq -a
+requests to display all resources.  The parameter
+.Dq limit
+is not acceptable in this mode.
 .Pp
 The remaining options specify which resource value is to be
 displayed or modified.  They are mutually exclusive.
@@ -1286,8 +1373,12 @@
 octal value. If the argument is omitted, the
 umask value is printed.
 .It unalias [-a] [name]
-If ``name'' is specified, the shell removes that alias.
-If ``-a'' is specified, all aliases are removed.
+If
+.Dq name
+is specified, the shell removes that alias.
+If
+.Dq -a
+is specified, all aliases are removed.
 .It unset name ...
 The specified variables and functions are unset and
 unexported. If a given name corresponds to both a
@@ -1304,7 +1395,7 @@
 .Nm
 is being used interactively from a terminal, the current command
 and the command history (see fc in Builtins) can be edited using vi-mode
-commandline editing.  This mode uses commands similar
+command line editing.  This mode uses commands similar
 to a subset of those described in the vi man page.
 The command 'set -o vi' enables vi-mode editing and places
 .Nm
@@ -1314,7 +1405,7 @@
 Hitting <return> while in command mode will pass the line to the shell.
 .Pp
 Similarly, the 'set -o emacs' command can be used to enable a subset of
-emacs-style commandline editing features.
+emacs-style command line editing features.
 .Sh SEE ALSO
 .Xr expr 1 ,
 .Xr test 1
diff -urNP fbsd-3.2-19990827-STABLE/man8/ipfw.8 man8/ipfw.8
--- fbsd-3.2-19990827-STABLE/man8/ipfw.8	Fri Aug 27 18:49:23 1999
+++ man8/ipfw.8	Tue Aug 31 18:31:08 1999
@@ -1,5 +1,5 @@
 .\"
-.\" $Id: ipfw.8,v 1.47.2.6 1999/08/16 17:29:52 luigi Exp $
+.\" $FreeBSD: src/sbin/ipfw/ipfw.8,v 1.47.2.8 1999/08/29 15:13:45 peter Exp $
 .\"
 .Dd July 20, 1996
 .Dt IPFW 8
@@ -30,6 +30,12 @@
 zero
 .Op Ar number ...
 .Nm ipfw
+.Oo
+.Fl q
+.Oc
+resetlog
+.Op Ar number ...
+.Nm ipfw
 delete
 .Ar number ...
 .Nm ipfw
@@ -50,7 +56,7 @@
 .Op Ar number
 .Op prob match_probability
 .Ar action 
-.Op log
+.Op log Op Ar logamount Ar number
 .Ar proto
 from
 .Ar src
@@ -238,6 +244,10 @@
 The zero operation zeroes the counters associated with rule number
 .Ar number .
 .Pp
+The resetlog operation resets the logging counters associated with
+rule number
+.Ar number .
+.Pp
 The flush operation removes all rules.
 .Pp
 Any command beginning with a 
@@ -276,7 +286,7 @@
 .Ar Note ,
 if there is no tty associated with the process, this is implied.
 .It Fl q
-While adding, zeroing or flushing, be quiet about actions (implies
+While adding, zeroing, resetlogging or flushing, be quiet about actions (implies
 .Fl f Ns ).
 This is useful for adjusting rules by executing multiple
 .Nm
@@ -404,6 +414,18 @@
 The search continues with the first rule numbered
 .Ar number
 or higher.
+.It Ar uid user
+Match all TCP or UDP packets sent by or received for a
+.Ar user .
+A
+.Ar user
+may be matched by name or identification number.
+.It Ar gid group
+Match all TCP or UDP packets sent by or received for a
+.Ar group .
+A
+.Ar group
+may be matched by name or identification number.
 .El
 .Pp
 If a packet matches more than one
@@ -419,15 +441,22 @@
 keyword a message will be printed on the console.
 If the kernel was compiled with the
 .Dv IPFIREWALL_VERBOSE_LIMIT
-option, then logging will cease after the number of packets
-specified by the option are received for that particular
-chain entry.  Logging may then be re-enabled by clearing
-the packet counter for that entry.
+option, then by default logging will cease after the number
+of packets specified by the option are received for that
+particular chain entry. However, if
+.Ar logamount Ar number
+is used, that
+.Ar number
+will be the default logging limit rather than
+.Dv IPFIREWALL_VERBOSE_LIMIT .
+Logging may then be re-enabled by clearing the logging counter
+or the packet counter for that entry.
 .Pp
 Console logging and the log limit are adjustable dynamically
 through the
 .Xr sysctl 8
-interface.
+interface in the MIB base of
+.Dv net.inet.ip.fw .
 .Pp
 .Ar proto :
 .Bl -hang -offset flag -width 1234567890123456
diff -urNP fbsd-3.2-19990827-STABLE/man8/pccardd.8 man8/pccardd.8
--- fbsd-3.2-19990827-STABLE/man8/pccardd.8	Fri Aug 27 18:51:10 1999
+++ man8/pccardd.8	Tue Aug 31 18:32:54 1999
@@ -23,7 +23,7 @@
 .\" (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
 .\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 .\"
-.\"	$Id: pccardd.8,v 1.10.2.2 1999/06/26 23:18:32 mpp Exp $
+.\" $FreeBSD: src/usr.sbin/pccard/pccardd/pccardd.8,v 1.10.2.4 1999/08/29 15:44:45 peter Exp $
 .\"
 .Dd November 1, 1994
 .Dt PCCARDD 8
@@ -35,6 +35,8 @@
 .Nm pccardd
 .Op Fl d
 .Op Fl v
+.Op Fl z
+.Op Fl i Ar IRQ
 .Op Fl f Ar configfile
 .Sh DESCRIPTION
 .Nm Pccardd
@@ -119,6 +121,11 @@
 .It Fl v
 After reading the configuration file, print out a summary
 of it.
+.It Fl z
+Delays running as a daemon slightly.
+.It Fl i Ar IRQ
+Configures an available IRQ.  It overrides the "irq" line in
+.Pa /etc/pccard.conf .
 .It Fl f Ar configfile
 Specifies a different configuration file to be used
 in placed of the default file
